// @import './inputs';
@import './checkboxes';
// @import './radiobuttons';
// @import './choices';
// @import './range';

.form-group {
    margin-bottom: rem(10);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(20);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(30);
    }
}

.file-form {
    position: relative;
    display: inline-block;

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        visibility: hidden;
        overflow: hidden;
        position: absolute;
    }
}

.form-file-text {
    font-weight: 300;
    font-size: rem(14);
    line-height: 130%;
    padding-left: rem(25);
    position: relative;

    &:before {
        top: 2px;
        left: 0;
        content: '';
        width: 16px;
        height: 18px;
        position: absolute;
        background: url("../img/icon__file_text.webp") 0 0 no-repeat;
        background-size: cover;
    }

    @include media-breakpoint-up(lg) {
        font-size: rem(15);
        padding-left: rem(35);

        &:before {
            top: 4px;
            width: 21px;
            height: 23px;
        }
    }
}
